----------------------------------------------
-- Media listing for base sphere components --
----------------------------------------------
local AddOnName, nsVars = ...
local ss = nsVars.SS

local mtSphereTextures = {
  textures = {
    gloss = {
      [1] = "orb_gloss.tga",
      [2] = "orb_gloss2.tga",
      [3] = "orb_gloss3.tga",
    },
    divider = {
      [1] = "middleBar.tga",
    },
  },
};

--- Retrieves a texture location.
-- @param group The texture group.
-- @param index The texture index.
-- @return The texture.
--
mtSphereTextures.get = function(group, index)
  return ss.SharedMedia.textureLocation..mtSphereTextures.textures[group][index]
end

ss.Utils.addModule("SphereTextures", mtSphereTextures)
